# List all invoices (default pagination)
curl https://api.settlx.io/api/v1/invoices \
-H "Authorization: Bearer pk_live_your_api_key"
# Filter pending invoices from January 2024
curl "https://api.settlx.io/api/v1/invoices?status=pending&from=2024-01-01T00:00:00Z&limit=50" \
-H "Authorization: Bearer pk_live_your_api_key"
// List all invoices
const response = await fetch('https://api.settlx.io/api/v1/invoices', {
headers: { 'Authorization': 'Bearer pk_live_your_api_key' }
});
const { data, meta } = await response.json();
// With filters and pagination
const params = new URLSearchParams({
status: 'settled',
currency: 'USD',
from: '2024-01-01T00:00:00Z',
limit: '50',
page: '1'
});
const filtered = await fetch(`https://api.settlx.io/api/v1/invoices?${params}`, {
headers: { 'Authorization': 'Bearer pk_live_your_api_key' }
});
import httpx
client = httpx.Client(headers={"Authorization": "Bearer pk_live_your_api_key"})
# List all
response = client.get("https://api.settlx.io/api/v1/invoices")
# With filters
response = client.get("https://api.settlx.io/api/v1/invoices", params={
"status": "settled",
"currency": "USD",
"from": "2024-01-01T00:00:00Z",
"limit": 50,
"page": 1
})
result = response.json()
invoices = result["data"]
total = result["pagination"]["total"]
{
"data": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"merchantId": "f9e8d7c6-b5a4-3210-9876-543210fedcba",
"amount": "99.99",
"currency": "USD",
"status": "settled",
"description": "Order #1234",
"expiresAt": "2024-01-15T10:30:00.000Z",
"webhookUrl": "https://yoursite.com/webhooks/settlx",
"paymentUrl": "https://api.settlx.io/checkout/a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"createdAt": "2024-01-15T10:00:00.000Z",
"updatedAt": "2024-01-15T10:05:00.000Z"
}
],
"pagination": {
"total": 142,
"page": 1,
"limit": 20,
"totalPages": 8
}
}
Invoices
List Invoices
Retrieve a paginated list of invoices for your merchant account
GET
/
api
/
v1
/
invoices
# List all invoices (default pagination)
curl https://api.settlx.io/api/v1/invoices \
-H "Authorization: Bearer pk_live_your_api_key"
# Filter pending invoices from January 2024
curl "https://api.settlx.io/api/v1/invoices?status=pending&from=2024-01-01T00:00:00Z&limit=50" \
-H "Authorization: Bearer pk_live_your_api_key"
// List all invoices
const response = await fetch('https://api.settlx.io/api/v1/invoices', {
headers: { 'Authorization': 'Bearer pk_live_your_api_key' }
});
const { data, meta } = await response.json();
// With filters and pagination
const params = new URLSearchParams({
status: 'settled',
currency: 'USD',
from: '2024-01-01T00:00:00Z',
limit: '50',
page: '1'
});
const filtered = await fetch(`https://api.settlx.io/api/v1/invoices?${params}`, {
headers: { 'Authorization': 'Bearer pk_live_your_api_key' }
});
import httpx
client = httpx.Client(headers={"Authorization": "Bearer pk_live_your_api_key"})
# List all
response = client.get("https://api.settlx.io/api/v1/invoices")
# With filters
response = client.get("https://api.settlx.io/api/v1/invoices", params={
"status": "settled",
"currency": "USD",
"from": "2024-01-01T00:00:00Z",
"limit": 50,
"page": 1
})
result = response.json()
invoices = result["data"]
total = result["pagination"]["total"]
{
"data": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"merchantId": "f9e8d7c6-b5a4-3210-9876-543210fedcba",
"amount": "99.99",
"currency": "USD",
"status": "settled",
"description": "Order #1234",
"expiresAt": "2024-01-15T10:30:00.000Z",
"webhookUrl": "https://yoursite.com/webhooks/settlx",
"paymentUrl": "https://api.settlx.io/checkout/a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"createdAt": "2024-01-15T10:00:00.000Z",
"updatedAt": "2024-01-15T10:05:00.000Z"
}
],
"pagination": {
"total": 142,
"page": 1,
"limit": 20,
"totalPages": 8
}
}
List Invoices
Returns a paginated list of invoices belonging to your merchant account. Supports filtering by status, currency, and date range.Query Parameters
string
Filter by invoice status. One of:
pending, confirmed, settled, expired.string
Filter by invoice currency (case-insensitive). Example:
USD, EUR.string
Filter invoices created on or after this date. ISO 8601 format.Example:
2024-01-01T00:00:00Zstring
Filter invoices created on or before this date. ISO 8601 format.Example:
2024-01-31T23:59:59Znumber
default:"20"
Number of results per page. Min:
1, Max: 100.number
default:"1"
Page number (1-indexed).
Response
array
Array of invoice objects (same fields as Create Invoice response).
object
# List all invoices (default pagination)
curl https://api.settlx.io/api/v1/invoices \
-H "Authorization: Bearer pk_live_your_api_key"
# Filter pending invoices from January 2024
curl "https://api.settlx.io/api/v1/invoices?status=pending&from=2024-01-01T00:00:00Z&limit=50" \
-H "Authorization: Bearer pk_live_your_api_key"
// List all invoices
const response = await fetch('https://api.settlx.io/api/v1/invoices', {
headers: { 'Authorization': 'Bearer pk_live_your_api_key' }
});
const { data, meta } = await response.json();
// With filters and pagination
const params = new URLSearchParams({
status: 'settled',
currency: 'USD',
from: '2024-01-01T00:00:00Z',
limit: '50',
page: '1'
});
const filtered = await fetch(`https://api.settlx.io/api/v1/invoices?${params}`, {
headers: { 'Authorization': 'Bearer pk_live_your_api_key' }
});
import httpx
client = httpx.Client(headers={"Authorization": "Bearer pk_live_your_api_key"})
# List all
response = client.get("https://api.settlx.io/api/v1/invoices")
# With filters
response = client.get("https://api.settlx.io/api/v1/invoices", params={
"status": "settled",
"currency": "USD",
"from": "2024-01-01T00:00:00Z",
"limit": 50,
"page": 1
})
result = response.json()
invoices = result["data"]
total = result["pagination"]["total"]
{
"data": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"merchantId": "f9e8d7c6-b5a4-3210-9876-543210fedcba",
"amount": "99.99",
"currency": "USD",
"status": "settled",
"description": "Order #1234",
"expiresAt": "2024-01-15T10:30:00.000Z",
"webhookUrl": "https://yoursite.com/webhooks/settlx",
"paymentUrl": "https://api.settlx.io/checkout/a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"createdAt": "2024-01-15T10:00:00.000Z",
"updatedAt": "2024-01-15T10:05:00.000Z"
}
],
"pagination": {
"total": 142,
"page": 1,
"limit": 20,
"totalPages": 8
}
}
⌘I